SaaS CMS has officially launched! Learn more now.

System requirements for EPiServer 7 platform

EPiServer 7 is requiredThe system requirements for EPiServer 7 are described below, as well as any deviations in relation to these for EPiServer CMS.

Deviations or specific requirements for EPiServer 7/7.1 CMS

  • Supported browser versions:
    - EPiServer 7.1 CMS (UI add-on)  - Chrome version 26*, Firefox version 20*
    - EPiServer 7 CMS - Chrome version 22*, Firefox version 16*
    * Due to the fast release cycle of Firefox and Chrome, we are testing new EPiServer versions with the latest stable version of these browsers.

  • Browsers supported for viewing are entirely dependent on the construction of the EPiServer CMS templates.
Server requirements

Operating system

Any of the following is required:

  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008 64 bit*
  • Microsoft Windows Server 2008*

* All service packs are supported.

Web server

Any of the following must be installed as part of the Windows Server installation:

  • Microsoft Internet Information Services (IIS) 7.0
  • Microsoft Internet Information Services (IIS) 7.5
  • Microsoft Internet Information Services (IIS) 8.0

Database

Any of the following is required:

  • Microsoft SQL Server 2008 64 bit
  • Microsoft SQL Server 2008 R2 64 bit
  • Microsoft SQL Server 2012 64 bit

All service packs are supported.

Other requirements

All of the following components:

  • Microsoft .NET Framework 4.5
  • Microsoft .NET Framework 4.0
  • Microsoft MVC 4.0

Note In production environments a permanent IP or MAC address is required.

Client requirements for editing

Browser for editing

Any of the following is required:

  • Microsoft Internet Explorer 10
  • Microsoft Internet Explorer 9
  • Mozilla Firefox 11-14
  • Google Chrome 12-33
Client requirements for browsing

Browser for viewing

All major browsers are supported, including:

  • Microsoft Internet Explorer
  • Mozilla Firefox
  • Google Chrome, Opera, Safari
Development and demonstration environment

Operating system

Any of the following is required:

  • Microsoft Windows 8
  • Microsoft Windows 7 SP1 32/64 bit
  • Microsoft Windows Vista SP2 32/64 bit
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 SP2 32/64 bit
  • Microsoft Windows Server 2008 R2

Development tool

Any of the following is required:

  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2010 SP1
  • Visual Web Developer 2012 Express Edition
  • Visual Web Developer 2010 Express Edition SP1

Note The EPiServer Visual Studio integration SDK installation requires IIS Express, can be installed using the Web Platform Installer.

Database

Any of the following is required:

  • Microsoft SQL Server 2012
  • Microsoft SQL Server 2012 Express
  • Microsoft SQL Server 2008 SP3
  • Microsoft SQL Server 2008 SP3 Express
  • Microsoft SQL Server 2008 R2

Note The EPiServer Visual Studio integration SDK installation requires Microsoft SQL Server Express.

Other requirements All the following components:
  • Microsoft MVC 4

 

Last updated: Feb 27, 2017